# $Revision: 1.23 $, $Date: 2008/10/11 00:04:18 $
%define		_hordeapp	vacation
#
%include	/usr/lib/rpm/macros.php
Summary:	vacation - vacation manager module for Horde
Summary(pl.UTF-8):	vacation - moduł zarządzania wakacjami dla Horde
Name:		horde-%{_hordeapp}
Version:	3.0.1
Release:	3
License:	ASL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/vacation/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	3076da56811855c58a39b929219ea13a
Source1:	%{name}.conf
Patch0:		horde-vacation-conf.patch
URL:		http://www.horde.org/vacation/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.226
Requires(post):	sed >= 4.0
Requires:	horde >= 3.0
Requires:	php(xml)
Requires:	php-common >= 3:4.1.0
Requires:	vacation
Requires:	webapps
Suggests:	php(ftp)
Suggests:	php(ldap)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Vacation is a Horde module for managing user e-mail "vacation notices"
or "auto-responders." It works via a local vacation program which must
be installed and functioning on the server. It supports vacation
programs using the .forward-style forwarding mechanism supported by
several popular mailers, as well as qmail and SQL based
implementations. While it has been released and is in production use
at many sites, it is also under heavy development in an effort to
expand and improve the module.

%description -l pl.UTF-8
Vacation to moduł Horde do zarządzania pocztowymi "powiadomieniami o
wakacjach" czy też "autoresponderami" użytkowników. Działa poprzez
lokalny program vacation, który musi być zainstalowany i działający na
serwerze. Obsługuje programy vacation używające mechanizmu
przekazywania typu .forward obsługiwanego przez kilka popularnych
programów pocztowych, a także implementacje oparte na qmailu i SQL-u.
Choć moduł został wydany i jest używany produkcyjnie na wielu
serwerach, jest nadal intensywnie rozwijany w celu rozszerzenia i
ulepszenia modułu.

%prep
%setup -q -n %{_hordeapp}-h3-%{version}
%patch0 -p1

find . '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

rm */.htaccess

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

# take uids with < 500 and update refused logins in default conf.xml
USERLIST=$(awk -F: '{ if ($3 < 500) print $1 }' < /etc/passwd | xargs | tr ' ' ',')
if [ "$USERLIST" ]; then
	sed -i -e "
	# primitive xml parser ;)
	/configlist name=\"refused\"/s/>.*</>$USERLIST</
	" %{_sysconfdir}/conf.xml
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-%{_hordeapp} < 2.2.2-0.2, %{_hordeapp}
for i in conf.php longIntro.txt mime_drivers.php prefs.php sourceroots.php; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-vacation.spec,v $
Revision 1.23  2008/10/11 00:04:18  baggins
- rel 3
- sanitized R/S

Revision 1.22  2008/10/09 22:53:07  glen
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

Revision 1.21  2008/10/09 22:44:57  baggins
- use correct dir name in setup

Revision 1.20  2008/10/09 22:17:03  baggins
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

Revision 1.19  2008/10/09 21:56:37  baggins
- removed unreadable tangle of macros and ugly hacks

Revision 1.18  2007/08/01 11:41:07  paszczus
- rel 2

Revision 1.17  2007/03/15 16:34:51  paszczus
- updated to 3.0.1

Revision 1.16  2007/03/01 23:05:28  glen
- 3.0.1-rc1

Revision 1.15  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.13  2006/11/26 12:47:40  glen
- virtual deps; rel 3

Revision 1.12  2006/10/01 17:14:47  glen
- rel 2

Revision 1.11  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.10  2006/07/20 09:25:33  glen
- add snap support

Revision 1.9  2006/05/09 10:14:43  paszczus
- updated to FINAL 3.0

Revision 1.8  2006/04/05 20:44:19  glen
- fixed packaging
- added uidlist automatic fill from horde-passwd
- rel 3

Revision 1.7  2006/04/05 16:43:09  baggins
- rel 2
- added missing file

Revision 1.6  2006/03/28 19:38:52  paszczus
- updated to 3.0rc1

Revision 1.5  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.4  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.3  2006/02/06 13:52:25  baggins
- webapp support

Revision 1.2  2005/10/23 20:16:02  qboosh
- pl

Revision 1.1  2005/10/23 19:55:18  blues
- initial, not working
